View Issue Details

IDProjectCategoryView StatusLast Update
0025763mantisbtattachmentspublic2019-06-14 02:39
ReporterTomekAP Assigned Toatrol  
PriorityhighSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.21.0 
Target Version2.21.1Fixed in Version2.21.1 
Summary0025763: File upload timeout
Description

Since last updates timeout of uploading files in Dropzone was added, now it is 30000 milliseconds. Sometimes when you want to send larger files, like 1GB, timeout occurs and you are unable to send totally files.

TagsNo tags attached.

Activities

atrol

atrol

2019-05-16 05:45

developer   ~0062075

Last edited: 2019-05-16 05:47

View 2 revisions

Might be caused by 0025572 and/or 0025465

atrol

atrol

2019-05-16 05:52

developer   ~0062077

@TomekAP you could try to undo the following change https://github.com/mantisbt/mantisbt/commit/9efa27c9a2512c77ce53cae910ce8290f643c80d
After that, there will no longer be a preview in dropzone (at least on Firefox, Chrome and Safari, IE will still try to display the preview)
Maybe the preview is causing your timeout.

TomekAP

TomekAP

2019-05-16 05:57

reporter   ~0062078

@atrol no, it will not help in file dropzone.min.js is timeout ...,timeout:3e4,...., now 30 seconds, so you have 30 seconds to upload a file, and timeout is not configurable.

atrol

atrol

2019-05-16 06:08

developer   ~0062079

Last edited: 2019-05-16 06:11

View 3 revisions

no, it will not help

Did you try my proposal?
I don't have time to try myself at the moment, but the timeout might just be used for the preview.

Since last updates timeout of uploading files in Dropzone was added

Which version did you use before?

TomekAP

TomekAP

2019-05-16 06:19

reporter   ~0062080

Yes, I have commented that line at id didn`t help.

For example version 2.19.1 has dropzone in version of 4.3.0, it doesn`t contain timeout, so upload is possible

atrol

atrol

2019-05-16 07:15

developer   ~0062081

This means we would have to introduce one more configuration option in Mantis to be able to configure Dropzone
https://www.dropzonejs.com/#config-timeout

TomekAP

TomekAP

2019-05-16 07:25

reporter   ~0062082

or set this option default to quite big value

atrol

atrol

2019-05-16 10:51

developer   ~0062083

or set this option default to quite big value

The default is set in a 3rd party component.
Whenever possible, we try to use just unpatched versions of such components.
https://github.com/mantisbt/mantisbt/blob/master-2.21/library/README.md

Be also aware that there is option $cdn_enabled in Mantis.
If set to ON, the library is fetched from a CDN, so any local change will not be used.

You could try to ask the author to change the default setting, but I assume he will reject as the value can be changed by configuration.

As long as there is no change in library

we would have to introduce one more configuration option in Mantis

vboctor

vboctor

2019-05-20 22:24

manager   ~0062104

The timeout can be increased in js/common.js by adding timeout: 600000 - see the block below in line 661. I suggest increasing the timeout to 10min == 600000. We could also elevate to a config option, but I suspect 10mins should be reasonable fixed setting.

var options = {
        forceFallback: zone.data('force-fallback'),
        paramName: "ufile",
        autoProcessQueue: autoUpload,
        clickable: zone_class,
        previewsContainer: '#' + classPrefix + '-previews-box',
        timeout: 600000,
        uploadMultiple: true,
        parallelUploads: 100,
        maxFilesize: max_filseize_mb,
        addRemoveLinks: !autoUpload,
        acceptedFiles: zone.data('accepted-files'),
        thumbnailWidth: 150,
        thumbnailMethod: 'contain',
        :
atrol

atrol

2019-05-21 05:49

developer   ~0062105

The right way to deal with the timeout would be to present some message to the user.
To revert to the previous behavior (no timeout), setting the timeout value to 0 might be enough (didn't try), see https://developer.mozilla.org/en-US/docs/Web/API/XMLHttpRequest/timeout

atrol

atrol

2019-06-10 16:22

developer   ~0062232

To revert to the previous behavior (no timeout), setting the timeout value to 0 might be enough

Implemented PR for that https://github.com/mantisbt/mantisbt/pull/1520

More users are encountering this issue, e.g. https://mantisbt.org/forums/viewtopic.php?f=3&t=26371

Related Changesets

MantisBT: master-2.21 bcb1334f

2019-06-10 16:13:19

atrol


Committer: vboctor Details Diff
Disable Dropzone timeout

Fixes 0025763
Affected Issues
0025763
mod - js/common.js Diff File

Issue History

Date Modified Username Field Change
2019-05-15 19:41 TomekAP New Issue
2019-05-16 05:45 atrol Note Added: 0062075
2019-05-16 05:47 atrol Note Edited: 0062075 View Revisions
2019-05-16 05:52 atrol Note Added: 0062077
2019-05-16 05:57 TomekAP Note Added: 0062078
2019-05-16 06:08 atrol Note Added: 0062079
2019-05-16 06:09 atrol Note Edited: 0062079 View Revisions
2019-05-16 06:11 atrol Note Edited: 0062079 View Revisions
2019-05-16 06:19 TomekAP Note Added: 0062080
2019-05-16 07:15 atrol Note Added: 0062081
2019-05-16 07:25 TomekAP Note Added: 0062082
2019-05-16 10:51 atrol Note Added: 0062083
2019-05-20 22:24 vboctor Note Added: 0062104
2019-05-21 05:49 atrol Note Added: 0062105
2019-06-10 16:22 atrol Note Added: 0062232
2019-06-10 16:22 atrol Assigned To => atrol
2019-06-10 16:22 atrol Status new => assigned
2019-06-10 16:22 atrol Target Version => 2.22.0
2019-06-14 01:23 vboctor Changeset attached => MantisBT master-2.21 bcb1334f
2019-06-14 01:23 atrol Status assigned => resolved
2019-06-14 01:23 atrol Resolution open => fixed
2019-06-14 01:26 vboctor Fixed in Version => 2.21.1
2019-06-14 01:27 vboctor Summary Dropzone timeout => File upload timeout
2019-06-14 02:39 vboctor Target Version 2.22.0 => 2.21.1
2019-06-14 02:39 vboctor Status resolved => closed